%define name		backuponcd
%define version		0.9.1
%define release		1mdk

%define summary		Multi-CD backup shell scripts
%define group		Archiving/Backup

Name:		%{name}
Summary:	%{summary}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		%{group}
URL:		http://www.tuxoncd.de/backuponcd/pub/backuponcd.html/
Source:		%{name}.tar.bz2
Patch1:		%{name}-rcmod.patch.bz2
Patch2:		%{name}-doc.patch.bz2

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
BackupOnCd is a set of shell scripts which make multi-volume backups on CD-RW
possible.  It also makes the backup faster using cdrecord in a parallel
subshell and minimizes the amount of temporary needed disk space.  Currently
supported: tar and afio.

By sure to modify /etc/backuponcd/global.rc to suit your system!


%prep
# (pc) dirty hack... tarball doesn't create its own directory
rm -rf $RPM_BUILD_DIR/*
cd $RPM_BUILD_DIR
tar xfj %{SOURCE0}

# (pc) another dirty hack to clean out some temp files
for i in `find $RPM_BUILD_DIR -path '*~'`; do rm -f $i; done

# (pc) modify global.rc for more of a typical mdk setup
%patch1 -p0
# (pc) patch for documentation locations in backuponcd help message
%patch2 -p0


%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}{%{_sbindir},%{_sysconfdir}/%{name}}
cp $RPM_BUILD_DIR/usr/local/sbin/* %{buildroot}%{_sbindir}
cp $RPM_BUILD_DIR/etc/%{name}/global.rc %{buildroot}%{_sysconfdir}/%{name}
cp $RPM_BUILD_DIR/usr/doc/%{name}/samples/excludelist %{buildroot}%{_sysconfdir}/%{name}


%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/*


%files
%defattr(-,root,root)
%doc usr/doc/backuponcd/*
%{_sbindir}/*
%dir %{_sysconfdir}/%{name}
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/global.rc
%config(noreplace) %{_sysconfdir}/%{name}/excludelist


%changelog
* Tue Sep 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9.1-1mdk
- added by Paul Cox <pcox@linux-mandrake.com> :
	- first Mandrake Linux release
	- added patch to modify global.rc to more of a typical mdk setup
	- added patch for documentation locations in backuponcd help message

# end of file
